% 		Kriging Toolbox
%		
%
% VARIOGRAMS or STRUCTURE FUNCTIONS (FOR SCALARS):
%
% vario2dr : variogram(s) of   regular spaced 2-D data
% vario2di : variogram(s) of irregular spaced 2-D data
% vario3dr : variogram(s) of   regular spaced 3-D data
% vario3di : variogram(s) of irregular spaced 3-D data
% var2diuv : variogram(s) of irregular spaced 2-D vectors,
%            (longitudinal or transverse component)
%
%   Variograms et correlograms (GSLIB): see the book by
%   Deutsch and Journel (1992). Oxford University Press.
%   The five (5) variogram functions: vario2dr, vario2di,
%   var2diuv, vario3dr and vario3di are m-files calling the
%   MEX-files of GSLIB subroutines: GAM2, GAMV2, GAMV2UV, 
%   GAM3 and GAMV3.
%
% CONFIDENCE INTERVALS
%
% confint  : confidence intervals for the structure function
% 
% FITTING VARIOGRAMS:
%
% fitvario : variogram least-square fitting (optimisation toolbox
%	     needed)
% fun      : function used by 'fitvario' to compute the fonction
%            'variogr'
% variogr  : computes a set of theoretical correlograms and 
%            semi-variograms
%
% KRIGING - COKRIGING (Marcotte, 1991)
%
% cokri    : performs point or block cokriging in D dimensions
% cokri2   : called from cokri; modified for new variograms
% means    : similar to mean.m
% trans    : called from cokri2
%
% KRIGING (Davis)
%
% davis    : punctual Kriging: Davis' method
%
% FILTERING (Barnes)
%
% barnes   : makes use of kringing to filter kriged data 
% filresp  : filter response in the wavelength domain
% tintore  : filter gridded data using tintore's parameters	
%
% MISCELLANEOUS UTILITY FUNCTIONS
%
% deplie   : transform a vector into a matrix
% kregrid  : creates a mx2 matrix of all the grid coordinates
% ksone    : MEX-file of the normality test 
% kstest   : Kolmogorov-Smirnov normality test
% mat3dp   : pseudo 3-D matrix
% mat4dp   : pseudo 4-D matrix
% outvario : organization of variogram output variables
